## org.apache.ivy.osgi.core
Class BundleCapability

    java.lang.Object
      org.apache.ivy.osgi.core.BundleCapability

Direct Known Subclasses:
  ExportPackage

    public class BundleCapability

extends java.lang.Object

Constructor Summary
`BundleCapability(java.lang.String type, java.lang.String name, Version version)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getName()`
`Version` `getRawVersion()`
`java.lang.String` `getType()`
`Version` `getVersion()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BundleCapability

    public BundleCapability(java.lang.String type,
                            java.lang.String name,
                            Version version)

Method Detail

### getType

    public java.lang.String getType()

### getName

    public java.lang.String getName()

### getVersion

    public Version getVersion()

### getRawVersion

    public Version getRawVersion()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`